<div class="ui grid">
  <div class="one wide mobile two wide tablet three wide computer column"></div>
  <div class="fourteen wide mobile twelve wide tablet ten wide computer right aligned column">
    <app-title title="ثبت پرداختی"></app-title>
    <form class="ui form form--loan-add" [ngClass]="{ 'error': errors && paymentAddForm.touched }" (ngSubmit)="onSubmit(paymentAddForm)" dir="rtl" #paymentAddForm="ngForm">
      <div class="six wide field">
        <label for="customer">مشتری</label>
        <select class="form-control" id="customer" (change)="onCustomerChange($event)" tabindex="1">
          <option value="" disabled="disabled" [hidden]="!!customerId">-- انتخاب کنید --</option>
          <option class="item" *ngFor="let customer of customers" [value]="customer._id">{{ customer.name.first + ' ' + customer.name.last }}<ng-template *ngIf="customer.fatherName">&nbsp;({{ customer.fatherName }})</ng-template></option>
        </select>
      </div>

      <div class="ui hidden divider"></div>

      <h4 *ngIf="noUnpaidLoanError">{{ noUnpaidLoanError }}</h4>

      <div class="ui hidden divider" *ngIf="noUnpaidLoanError"></div>

      <div class="four wide field">
        <label for="total">مبلغ</label>
        <input type="number" name="total" min="0" [(ngModel)]="payment.total" id="total" tabindex="2" dir="ltr" (change)="onTotalBlur()" [disabled]="!isLoanLoaded && !noUnpaidLoanError">
        <!--errors-->
        <div class="ui error message" *ngIf="errors.total">
          <ul class="list">
            <li>
              {{ errors.total }}
            </li>
          </ul>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="right aligned grouped fields">
        <div class="two wide field">
          <div class="ui radio checkbox">
            <input type="radio" id="installments-type-normal" name="installment[type][normal]" [(ngModel)]="payment.installment_type" value="normal" [disabled]="normalPaymentDisabled || !isLoanLoaded" tabindex="3" class="hidden">
            <label for="installments-type-normal"> قسط عادی {{ normalInstallmentAmount }}</label>
          </div>
        </div>

        <div class="two wide field">
          <div class="ui radio checkbox">
            <input type="radio" id="installments-type-final" name="installment[type][final]" [(ngModel)]="payment.installment_type" value="final" [disabled]="finalPaymentDisabled || !isLoanLoaded" tabindex="4" class="hidden">
            <label for="installments-type-final"> قسط نهایی {{ finalInstallmentAmount }}</label>
          </div>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="four wide field">
        <label for="cheque-id">شماره سند</label>
        <input type="number" id="cheque-id" name="doc_id" [(ngModel)]="payment.docId" tabindex="5" dir="ltr" [disabled]="!isLoanLoaded && !noUnpaidLoanError">
      </div>

      <div class="ui hidden divider"></div>

      <div class="fields">
        <div class="five wide field">
          <label for="date">تاریخ پرداخت</label>
          <input tabindex="6" id="date" dir="rtl" name="date" [(ngModel)]="payment.date" [dpDayPicker]="'config'" [mode]="'day'" [theme]="'dp-material'">
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="field form__button--submit">
        <button class="ui button green button--farsi" tabindex="7" [disabled]="!((isLoanLoaded || !!noUnpaidLoanError) && payment.total > 0 && payment.docId && payment.docId.toString().length > 5 && payment.date)">
          <i class="check icon icon--submit"></i>
          ثبت
        </button>
      </div>
    </form>

    <!--loan details table-->
    <table class="ui right aligned celled table" dir="rtl" style="text-align: center;" *ngIf="isLoanLoaded">
      <thead>
      <tr>
        <th rowspan="3">مبلغ کل</th>
        <th rowspan="3">تعداد اقساط</th>
        <th colspan="5">اقساط</th>
      </tr>
      <tr>
        <th colspan="3">معمولی</th>
        <th colspan="2">پایانی</th>
      </tr>
      <tr>
        <th>مبلغ</th>
        <th>تعداد</th>
        <th>پرداخت شده</th>
        <th>مبلغ</th>
        <th>پرداخت شده</th>
      </tr>
      </thead>
      <tbody class="table__body--bold">
      <tr>
        <td>{{ loan.totalPrice }}</td>
        <td>{{ loan.installmentsQty }}</td>
        <td>{{ loan.payments.normal.amount }}</td>
        <td>{{ loan.payments.normal.qty }}</td>
        <td>{{ loan.payments.normal.paidQty }}</td>
        <td>{{ loan.payments.final.amount }}</td>
        <td>{{ loan.payments.final.paid ? '&#10003;' : '&#10007;' }}</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
